MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024148Open CASCADE[OCCT] OCCT:Visualizationpublic2013-09-06 11:042013-12-19 13:58
Reporterapn 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2008OS Version32 bit
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0024148: Test case bugs/vis/bug24131_markers works wrong with software MS OpenGL
DescriptionThere is exception during execution test case bugs/vis/bug24131_markers on Windows in Debug mode:

vdump $aCustom1 rgba 32 32
OpenGL_FrameBuffer, FBO extension not supported!
Dumping failed!
Tcl Exception: Dumping failed!

Draw[1]> dversion
Open CASCADE Technology 6.6.0.dev
Debug mode
TBB enabled (HAVE_TBB)
GL2PS enabled (HAVE_GL2PS)
FreeImage enabled (HAVE_FREEIMAGE)
Exceptions enabled
Compiler: MS Visual C++ 9.0 (_MSC_FULL_VER = 150030729)
Architecture: Intel x86
OS: Windows

Draw[2]> pload VISUALIZATION
Plugin file name has not been specified. Defaults to DrawPlugin Variable CSF_DrawPluginDefaults has not been explicitly defined. Set to R:\builds\vc9\IR-2013-09-05-IR-2013-09-05-occt-deb/src/DrawResources
Parse Value ==> AISV
Parse aCurKey = AISV
Parse aCurKey =
Parse Value ==> TKViewerTest
Parse aCurKey = TKViewerTest
Parse aCurKey =
aResource = AISV
Value ==> TKViewerTest
Draw Plugin : OCC V2d & V3d commands are loaded

Draw[3]> vinit View1
vinit: 3D View - Driver1/Viewer1/View1 was created.

Draw[4]> vglinfo
OpenGL info:
  GLvendor = 'Microsoft Corporation'
  GLdevice = 'GDI Generic'
  GLversion = '1.1.0'
  GLSLversion = ''
TagsNo tags attached.
Test case numberbugs vis bug24131_markers
Attached Files

- Relationships
related to 0020740closedsan Open CASCADE ChoosePixelFormat fails to find the correct number of Depth bits 
related to 0024231closedbugmaster Open CASCADE Test case update for bug 23654 
child of 0024131closedbugmaster Open CASCADE TKOpenGL redesign GPU memory management for markers presentation 

-  Notes
(0025478)
kgv (developer)
2013-09-06 11:43

Dear apn,

please create simple test case with the following lines and execute it in the same environment:
dversion
pload VISUALIZATION
vinit View1
vglinfo

and attach output to the bug description. Thank you!
(0025518)
kgv (developer)
2013-09-10 16:43

This issue is unrelated to new functionality as well as Debug target.
The problem caused by image dump restriction in case of lack of FBO functionality (image should has the same dimensions as window).
(0025687)
kgv (developer)
2013-09-22 01:36

Patch is ready for review in CR24148 branch.

Custom markers for test case now moved to data folder to avoid dump issues with unavailable FBO extension.
(0025688)
abv (manager)
2013-09-22 07:14

Besides, on my machine this test does not raise exception in Debug mode and thus reports improvement, on current master
(0025689)
kgv (developer)
2013-09-22 11:15

> Besides, on my machine this test does not raise exception in Debug mode and thus reports improvement, on current master
This test case has never have problems with debug build but with testing environment.

Current 3D viewer image dump functionality requires FBO OpenGL extension and fallback to compatibility mode which has restrictions (dumped size should be equal to window size + not guarantied results).

Virtualized test environment should use Mesa library to avoid such issues.
(0025709)
san (developer)
2013-09-24 15:18

Branch CR24148 reviewed without remarks, ready for testing.
(0025748)
apn (administrator)
2013-09-26 14:22

Dear BugMaster,

Branch CR24148 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 95689e26417096f3281c3dc867f01f8e8614776f

Number of compiler warnings:

occt component :
Linux: 506 (506 on master)
Windows: 31 (31 on master)

products component :
Linux: 190 (190 on master)
Windows: 287 (287 on master)

Regressions:
No regressions

Improvements:
No improvements

Testing cases:
bugs vis bug24131_markers - OK

Testing on Linux:
Total MEMORY difference: 364436648 / 366203112
Total CPU difference: 43819.370000001516 / 42279.78000000097

Testing on Windows:
Total MEMORY difference: 429221632 / 428906376
Total CPU difference: 40782.28125 / 47671.109375

There are not differences in images found by testdiff.

- Related Changesets
occt: master abe46077
Timestamp: 2013-09-26 16:21:06
Author: kgv
Committer: bugmaster
Details ] Diff ]
0024148: Test case bugs/vis/bug24131_markers works wrong on software MS OpenGL

Add pre-rendered images for custom markers.
OpenGl_Window - drop overcomplicated find_pixel_format() function
OpenGl_Caps - add option to force software OpenGL imlementation (MS or Apple)
Remove TODO from test case
Add grayscale custom marker to the test
Correct color bitness in attributes list
add - data/images/marker_box1.png Diff ] File ]
add - data/images/marker_box2.png Diff ] File ]
add - data/images/marker_dot.png Diff ] File ]
mod - src/OpenGl/OpenGl_Caps.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Caps.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_PrimitiveArray.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Window.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Window_1.mm Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
mod - tests/bugs/vis/bug24131_markers Diff ] File ]
occt: master d9ec7d1d
Timestamp: 2013-09-30 07:01:38
Author: kgv
Committer: bugmaster
Details ] Diff ]
0024148: Test case bugs/vis/bug24131_markers works wrong with software MS OpenGL
Fix misprint in OpenGl_Window aGLForma -> aGLFormat
mod - src/OpenGl/OpenGl_Window_1.mm Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-09-06 11:04 apn New Issue
2013-09-06 11:04 apn Assigned To => san
2013-09-06 11:06 apn Test case number => bugs vis bug24131_markers
2013-09-06 11:06 apn Description Updated View Revisions
2013-09-06 11:28 apn Relationship added child of 0024131
2013-09-06 11:29 apn Assigned To san => kgv
2013-09-06 11:29 apn Status new => assigned
2013-09-06 11:43 kgv Note Added: 0025478
2013-09-06 11:43 kgv Assigned To kgv => apn
2013-09-06 11:43 kgv Status assigned => feedback
2013-09-06 12:03 apn Description Updated View Revisions
2013-09-06 12:04 apn Assigned To apn => kgv
2013-09-10 16:43 kgv Note Added: 0025518
2013-09-22 01:36 kgv Note Added: 0025687
2013-09-22 01:36 kgv Assigned To kgv => san
2013-09-22 01:36 kgv Status feedback => resolved
2013-09-22 01:36 kgv Product Version 6.6.0 =>
2013-09-22 01:36 kgv Summary Test case bugs/vis/bug24131_markers works wrong in Debug mode => Test case bugs/vis/bug24131_markers works wrong with software MS OpenGL
2013-09-22 07:14 abv Note Added: 0025688
2013-09-22 11:15 kgv Note Added: 0025689
2013-09-23 17:37 san Relationship added related to 0022779
2013-09-23 17:40 san Relationship added related to 0020740
2013-09-24 15:18 san Note Added: 0025709
2013-09-24 15:18 san Assigned To san => bugmaster
2013-09-24 15:18 san Status resolved => reviewed
2013-09-24 15:22 apn Assigned To bugmaster => apn
2013-09-26 14:22 apn Note Added: 0025748
2013-09-26 14:23 apn Assigned To apn => bugmaster
2013-09-26 14:23 apn Status reviewed => tested
2013-09-26 14:23 apn Product Version => 6.6.0
2013-09-30 15:53 bugmaster Changeset attached => occt master d9ec7d1d
2013-09-30 15:53 bugmaster Changeset attached => occt master abe46077
2013-09-30 15:53 bugmaster Status tested => verified
2013-09-30 15:53 bugmaster Resolution open => fixed
2013-10-07 12:09 kgv Relationship added related to 0024231
2013-12-19 13:51 bugmaster Status verified => closed
2013-12-19 13:58 bugmaster Fixed in Version => 6.7.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker